## org.irisa.genouest.logol.types
Class ModelVariable

    java.lang.Object
      org.irisa.genouest.logol.types.AbstractVariable
          org.irisa.genouest.logol.types.ModelVariable

    public class ModelVariable

extends AbstractVariable

Class managing model variable type

Author:
  osallou History 03/08/09 O. Sallou Fix 1399 Model parameters sometimes badly managed

Constructor Summary
`ModelVariable(int varID)`

Method Summary
`java.lang.String` `content(LogolVariable lvar)` Return prolog content for the variable definition

Methods inherited from class org.irisa.genouest.logol.types.AbstractVariable
`externalPredicate, getProlog`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ModelVariable

    public ModelVariable(int varID)

Method Detail

### content

    public java.lang.String content(LogolVariable lvar)
                             throws GrammarException

  Return prolog content for the variable definition

  Parameters:
    `lvar` - variable to analyse
  Returns:
    prolog sentence to manage constraints etc...
  Throws:
    `GrammarException`